Bug 428555 - Soft lockup while doing load_policy
Soft lockup while doing load_policy
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
19
All Linux
low Severity low
: ---
: ---
Assigned To: Eric Paris
Fedora Extras Quality Assurance
first=2.6.23.9 tested=3.5 selinux
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-13 05:24 EST by David Juran
Modified: 2013-04-23 13:25 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-23 13:25:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
opreport --symbols -p /lib/modules/2.6.23.14-107.fc8/kernel/fs/ (9.88 KB, application/x-bzip2)
2008-01-29 13:46 EST, David Juran
no flags Details

  None (edit)
Description David Juran 2008-01-13 05:24:25 EST
Description of problem:
When I yesterday updated to selinux-policy-targeted-3.0.8-73.fc8 I found the
following blurb in the syslog:

Jan 12 13:14:30 mail kernel: BUG: soft lockup - CPU#0 stuck for 11s!
[load_policy:14812]
Jan 12 13:14:30 mail kernel: 
Jan 12 13:14:30 mail kernel: Pid: 14812, comm:          load_policy
Jan 12 13:14:30 mail kernel: EIP: 0060:[<c04d4839>] CPU: 0
Jan 12 13:14:30 mail kernel: EIP is at hashtab_search+0x25/0x47
Jan 12 13:14:30 mail kernel:  EFLAGS: 00200202    Not tainted  (2.6.23.9-85.fc8 #1)
Jan 12 13:14:30 mail kernel: EAX: 00000001 EBX: cc088680 ECX: c68b9ee0 EDX: c68b9ee0
Jan 12 13:14:30 mail kernel: ESI: d4959260 EDI: dbbd7020 EBP: c6bac450 DS: 007b
ES: 007b FS: 00d8
Jan 12 13:14:30 mail kernel: CR0: 8005003b CR2: b7f85000 CR3: 1c757000 CR4: 000002d0
Jan 12 13:14:30 mail kernel: DR0: 00000000 DR1: 00000000 DR2: 00000000 DR3: 00000000
Jan 12 13:14:30 mail kernel: DR6: ffff0ff0 DR7: 00000400
Jan 12 13:14:30 mail kernel:  [<c04db045>] mls_convert_context+0xb9/0x172
Jan 12 13:14:30 mail kernel:  [<c04da28a>] convert_context+0xe2/0x1f4
Jan 12 13:14:30 mail kernel:  [<c04d007b>] selinux_shm_alloc_security+0x2b/0x85
Jan 12 13:14:30 mail kernel:  [<c04d4e4e>] sidtab_map_remove_on_error+0x41/0xd5
Jan 12 13:14:30 mail kernel:  [<c04da1a8>] convert_context+0x0/0x1f4
Jan 12 13:14:30 mail kernel:  [<c04d9d54>] security_load_policy+0x2c6/0x3ae
Jan 12 13:14:30 mail kernel:  [<c0462754>] find_lock_page+0x1a/0x90
Jan 12 13:14:30 mail kernel:  [<c04074d6>] do_IRQ+0x9f/0xb9
Jan 12 13:14:30 mail kernel:  [<c0405b6f>] common_interrupt+0x23/0x28
Jan 12 13:14:30 mail kernel:  [<c0620652>] do_page_fault+0x2c0/0x5ef
Jan 12 13:14:30 mail kernel:  [<c04224dd>] native_set_pte_at+0x0/0x7
Jan 12 13:14:30 mail kernel:  [<c0431ce0>] irq_exit+0x53/0x6b
Jan 12 13:14:30 mail kernel:  [<c04d2354>] sel_write_load+0x94/0x51c
Jan 12 13:14:30 mail kernel:  [<c047fba8>] do_filp_open+0x37/0x3e
Jan 12 13:14:30 mail kernel:  [<c04cf7f6>] selinux_file_permission+0x45/0xf1
Jan 12 13:14:30 mail kernel:  [<c04d22c0>] sel_write_load+0x0/0x51c
Jan 12 13:14:30 mail kernel:  [<c048164a>] vfs_write+0xa8/0x15a
Jan 12 13:14:30 mail kernel:  [<c0481c67>] sys_write+0x41/0x67
Jan 12 13:14:30 mail kernel:  [<c040518a>] syscall_call+0x7/0xb
Jan 12 13:14:30 mail kernel:  =======================
Jan 12 13:14:30 mail kernel: audit(1200136470.663:45): user pid=1406 uid=81
auid=4294967295 subj=system_u:system_r:system_dbusd_t:s0 msg='avc:  received
policyload notice (seqno=4)
Jan 12 13:14:30 mail kernel: : exe="?" (sauid=81, hostname=?, addr=?, terminal=?)'
Jan 12 13:14:30 mail kernel: audit(1200136470.790:46): policy loaded auid=4294967295


Version-Release number of selected component (if applicable):
kernel-2.6.23.9-85.fc8
Comment 1 David Juran 2008-01-19 04:36:29 EST
This seems to be somewhat reproducible, the same thing happened during an update
to  selinux-policy-3.0.8-74.fc8 as well. I've only seen this on my single core
i386 machine. A dual x86_64 and a dual i386 did not show this problem.
Comment 2 Eric Paris 2008-01-20 22:59:52 EST
could i get you to run this under oprofile for me?
http://oprofile.sourceforge.net/
should have pretty good docs.  It isn't happening for me, so i want to know
where it is running slowly....

-Eric
Comment 3 Stephen Smalley 2008-01-22 13:14:00 EST
Perhaps we need to do a cond_resched() during that processing, like what was
done for policydb_destroy() to deal with similar issues there?
Comment 4 David Juran 2008-01-29 13:46:16 EST
Created attachment 293316 [details]
opreport --symbols -p /lib/modules/2.6.23.14-107.fc8/kernel/fs/

Attached is the opreport (though not sure not sure if there is anything to see
there...) 
I can however now reliably reproduce this problem by downgrading
selinux-policy{,tarageted} from selinux-policy-3.0.8-76.fc8 to
selinux-policy-3.0.8-74.fc8 on my single-core i386 machine.
Comment 5 Bug Zapper 2008-11-26 04:25:09 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2009-01-09 00:46:42 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 7 David Juran 2012-01-23 07:10:40 EST
re-opening this old bug, but I've been starting to see this issue on F16, last time when I updated to selinux-policy-3.10.0-72.fc16.

Messages in syslog:


Jan 23 09:28:36 juran kernel: [210596.061027] BUG: soft lockup - CPU#0 stuck for 22s! [load_policy:20015]
Jan 23 09:28:36 juran kernel: [210596.061027] Modules linked in: bluetooth rfkill ppp_deflate zlib_deflate ppp_async crc_ccitt ppp_generic slhc lockd ipt_MAS
QUERADE iptable_nat nf_nat nf_conntrack_ipv4 nf_conntrack nf_defrag_ipv4 option usb_wwan ppdev microcode dcdbas parport_pc parport 3c59x i2c_piix4 serio_raw 
mii i2c_core sunrpc usb_storage [last unloaded: scsi_wait_scan]
Jan 23 09:28:36 juran kernel: [210596.061027] Modules linked in: bluetooth rfkill ppp_deflate zlib_deflate ppp_async crc_ccitt ppp_generic slhc lockd ipt_MAS
QUERADE iptable_nat nf_nat nf_conntrack_ipv4 nf_conntrack nf_defrag_ipv4 option usb_wwan ppdev microcode dcdbas parport_pc parport 3c59x i2c_piix4 serio_raw 
mii i2c_core sunrpc usb_storage [last unloaded: scsi_wait_scan]
Jan 23 09:28:36 juran kernel: [210596.061027] 
Jan 23 09:28:36 juran kernel: [210596.061027] Pid: 20015, comm: load_policy Not tainted 3.1.9-1.fc16.i686 #1 Dell Computer Corporation OptiPlex GX1 400L+    
      /OptiPlex GX1 400L+           
Jan 23 09:28:36 juran kernel: [210596.061027] EIP: 0060:[<c05fb191>] EFLAGS: 00200202 CPU: 0
Jan 23 09:28:36 juran kernel: [210596.061027] EIP is at symcmp+0x11/0x20
Jan 23 09:28:36 juran kernel: [210596.061027] EAX: 00000001 EBX: cb4c01b0 ECX: d3a1c3e8 EDX: d3a1c3e8
Jan 23 09:28:36 juran kernel: [210596.061027] ESI: d86a40e0 EDI: d8729640 EBP: db285bac ESP: db285bac
Jan 23 09:28:36 juran kernel: [210596.061027]  DS: 007b ES: 007b FS: 00d8 GS: 00e0 SS: 0068
Jan 23 09:28:36 juran kernel: [210596.061027] Process load_policy (pid: 20015, ti=de01a000 task=c0e66480 task.ti=db284000)
Jan 23 09:28:36 juran kernel: [210596.061027] Stack:
Jan 23 09:28:36 juran kernel: [210596.061027]  db285bc4 c05fafe0 00000000 c27b12a0 000002de db285da8 db285bf4 c0606fd4
Jan 23 09:28:36 juran kernel: [210596.061027]  00000001 c57d9a84 c57d9aa4 c0d2d740 c57d9a90 c59391c0 00000300 c57d9a84
Jan 23 09:28:36 juran kernel: [210596.061027]  db285ee0 c57d9a98 db285c84 c0602c7c 00200002 00200046 00200046 c57d9aa4
Jan 23 09:28:36 juran kernel: [210596.061027] Call Trace:
Jan 23 09:28:36 juran kernel: [210596.061027]  [<c05fafe0>] hashtab_search+0x40/0x80
Jan 23 09:28:36 juran kernel: [210596.061027]  [<c0606fd4>] mls_convert_context+0x114/0x190
Jan 23 09:28:36 juran kernel: [210596.061027]  [<c0602c7c>] convert_context+0x33c/0x420
Jan 23 09:28:36 juran kernel: [210596.061027]  [<c0602940>] ? type_attribute_bounds_av+0x240/0x240
Jan 23 09:28:36 juran kernel: [210596.061027]  [<c0914e30>] ? common_interrupt+0x30/0x38
Jan 23 09:28:36 juran kernel: [210596.061027]  [<c0602940>] ? type_attribute_bounds_av+0x240/0x240
Jan 23 09:28:36 juran kernel: [210596.061027]  [<c060007b>] ? policydb_read+0x10ab/0x14b0
Jan 23 09:28:36 juran kernel: [210596.061027]  [<c0602940>] ? type_attribute_bounds_av+0x240/0x240
Jan 23 09:28:36 juran kernel: [210596.061027]  [<c05fb598>] sidtab_map+0x48/0x70
Jan 23 09:28:36 juran kernel: [210596.061027]  [<c06043b8>] security_load_policy+0x2d8/0x3e0
Jan 23 09:28:36 juran kernel: [210596.061027]  [<c0404d0b>] ? do_IRQ+0x4b/0xc0
Jan 23 09:28:36 juran kernel: [210596.061027]  [<c0914e30>] ? common_interrupt+0x30/0x38
Jan 23 09:28:36 juran kernel: [210596.061027]  [<c063c87d>] ? radix_tree_lookup_slot+0xd/0x10
Jan 23 09:28:36 juran kernel: [210596.061027]  [<c04df0d0>] ? find_get_page+0x20/0xa0
Jan 23 09:28:36 juran kernel: [210596.061027]  [<c04e0b0b>] ? filemap_fault+0xdb/0x3c0
Jan 23 09:28:36 juran kernel: [210596.061027]  [<c0914e30>] ? common_interrupt+0x30/0x38
Jan 23 09:28:36 juran kernel: [210596.061027]  [<c051f6a0>] ? mem_cgroup_update_page_stat+0x20/0xe0
Jan 23 09:28:36 juran kernel: [210596.061027]  [<c04de402>] ? unlock_page+0x42/0x50
Jan 23 09:28:36 juran kernel: [210596.061027]  [<c04fbc18>] ? __do_fault+0x378/0x4a0
Jan 23 09:28:36 juran kernel: [210596.061027]  [<c0910e80>] ? vmalloc_fault+0xee/0xee
Jan 23 09:28:36 juran kernel: [210596.061027]  [<c090e637>] ? error_code+0x67/0x6c
Jan 23 09:28:36 juran kernel: [210596.061027]  [<c05f8406>] sel_write_load+0x86/0x640
Jan 23 09:28:36 juran kernel: [210596.061027]  [<c05ec8d4>] ? security_file_permission+0x24/0xb0
Jan 23 09:28:36 juran kernel: [210596.061027]  [<c0527c1c>] ? rw_verify_area+0x6c/0x120
Jan 23 09:28:36 juran kernel: [210596.061027]  [<c0527f7f>] vfs_write+0x8f/0x160
Jan 23 09:28:36 juran kernel: [210596.061027]  [<c05f8380>] ? sel_commit_bools_write+0x100/0x100
Jan 23 09:28:36 juran kernel: [210596.061027]  [<c052825d>] sys_write+0x3d/0x70
Jan 23 09:28:36 juran kernel: [210596.061027]  [<c090da44>] syscall_call+0x7/0xb
Jan 23 09:28:36 juran kernel: [210596.061027] Code: da 83 c1 01 3b 4d f0 75 d9 8b 55 ec 89 32 89 5a 04 83 c4 08 5b 5e 5f 5d c3 90 55 89 e5 3e 8d 74 26 00 89 d0 89 ca e8 6f 87 04 00 <5d> c3 8d b6 00 00 00 00 8d bc 27 00 00 00 00 55 89 e5 57 56 53 
Jan 23 09:28:36 juran kernel: [210596.061027] Call Trace:
Jan 23 09:28:36 juran kernel: [210596.061027]  [<c05fafe0>] hashtab_search+0x40/0x80
Jan 23 09:28:36 juran kernel: [210596.061027]  [<c0606fd4>] mls_convert_context+0x114/0x190
Jan 23 09:28:36 juran kernel: [210596.061027]  [<c0602c7c>] convert_context+0x33c/0x420
Jan 23 09:28:36 juran kernel: [210596.061027]  [<c0602940>] ? type_attribute_bounds_av+0x240/0x240
Jan 23 09:28:36 juran kernel: [210596.061027]  [<c0914e30>] ? common_interrupt+0x30/0x38
Jan 23 09:28:36 juran kernel: [210596.061027]  [<c0602940>] ? type_attribute_bounds_av+0x240/0x240
Jan 23 09:28:36 juran kernel: [210596.061027]  [<c060007b>] ? policydb_read+0x10ab/0x14b0
Jan 23 09:28:36 juran kernel: [210596.061027]  [<c0602940>] ? type_attribute_bounds_av+0x240/0x240
Jan 23 09:28:36 juran kernel: [210596.061027]  [<c05fb598>] sidtab_map+0x48/0x70
Jan 23 09:28:36 juran kernel: [210596.061027]  [<c06043b8>] security_load_policy+0x2d8/0x3e0
Jan 23 09:28:36 juran kernel: [210596.061027]  [<c0404d0b>] ? do_IRQ+0x4b/0xc0
Jan 23 09:28:36 juran kernel: [210596.061027]  [<c0914e30>] ? common_interrupt+0x30/0x38
Jan 23 09:28:36 juran kernel: [210596.061027]  [<c063c87d>] ? radix_tree_lookup_slot+0xd/0x10
Jan 23 09:28:36 juran kernel: [210596.061027]  [<c04df0d0>] ? find_get_page+0x20/0xa0
Jan 23 09:28:36 juran kernel: [210596.061027]  [<c04e0b0b>] ? filemap_fault+0xdb/0x3c0
Jan 23 09:28:36 juran kernel: [210596.061027]  [<c0914e30>] ? common_interrupt+0x30/0x38
Jan 23 09:28:36 juran kernel: [210596.061027]  [<c051f6a0>] ? mem_cgroup_update_page_stat+0x20/0xe0
Jan 23 09:28:36 juran kernel: [210596.061027]  [<c04de402>] ? unlock_page+0x42/0x50
Jan 23 09:28:36 juran kernel: [210596.061027]  [<c04fbc18>] ? __do_fault+0x378/0x4a0
Jan 23 09:28:36 juran kernel: [210596.061027]  [<c0910e80>] ? vmalloc_fault+0xee/0xee
Jan 23 09:28:36 juran kernel: [210596.061027]  [<c090e637>] ? error_code+0x67/0x6c
Jan 23 09:28:36 juran kernel: [210596.061027]  [<c05f8406>] sel_write_load+0x86/0x640
Jan 23 09:28:36 juran kernel: [210596.061027]  [<c05ec8d4>] ? security_file_permission+0x24/0xb0
Jan 23 09:28:36 juran kernel: [210596.061027]  [<c0527c1c>] ? rw_verify_area+0x6c/0x120
Jan 23 09:28:36 juran kernel: [210596.061027]  [<c0527f7f>] vfs_write+0x8f/0x160
Jan 23 09:28:36 juran kernel: [210596.061027]  [<c05f8380>] ? sel_commit_bools_write+0x100/0x100
Jan 23 09:28:36 juran kernel: [210596.061027]  [<c052825d>] sys_write+0x3d/0x70
Jan 23 09:28:36 juran kernel: [210596.061027]  [<c090da44>] syscall_call+0x7/0xb
Jan 23 09:28:36 juran dbus[775]: avc:  received policyload notice (seqno=2)
Jan 23 09:28:36 juran dbus-daemon[775]: dbus[775]: avc:  received policyload notice (seqno=2)
Jan 23 09:28:37 juran dbus-daemon[775]: dbus[775]: [system] Reloaded configuration
Jan 23 09:28:37 juran dbus[775]: [system] Reloaded configuration
Jan 23 09:28:56 juran yum[19859]: Updated: selinux-policy-targeted-3.10.0-72.fc16.noarch
Comment 8 David Juran 2012-02-01 03:29:59 EST
Seems to be reproducible on every selinux policy update.
Comment 9 Dave Jones 2012-02-17 14:32:42 EST
is this the stock policy ?

I'm curious why it's taking so long for it to load on your system. No-one else seems to be hitting this.

We could do a cond_resched like Stephen suggested, but I'm wondering if perhaps there isn't a bigger problem here. 22 seconds is a really long time for a policy load.

Is this a slow machine ?
Comment 10 David Juran 2012-03-13 08:11:03 EDT
yes, stock F16 targeted policy.
  And regarding it taking time, the machine is rather ancient, 400 MHz PentiumII with all of 512 MB of memory. But it ticks along nicely and serves my squeezebox and email without much need for fans...
Comment 11 Dave Jones 2012-03-13 16:12:11 EDT
I wonder if the low amount of memory is what's causing it.
Some time ago I was hitting out of memory on 512MB systems, and had to do these tweaks..

http://codemonkey.org.uk/2010/07/29/selinux-memory-systems/

Might be worth a shot ?
Comment 12 David Juran 2012-04-16 08:14:03 EDT
Worth a try.
bzip-small=true was already set so now I've set bzip-blocksize=0. Let's see what happens on next selinux update....
Comment 13 David Juran 2012-04-27 03:44:47 EDT
No, that didn't help )-:

Apr 22 12:23:23 juran yum[15086]: Updated: selinux-policy-3.10.0-84.fc16.noarch
Apr 22 12:23:29 juran yum[15086]: Updated: rpm-4.9.1.3-1.fc16.i686
Apr 22 12:23:37 juran yum[15086]: Updated: rpm-libs-4.9.1.3-1.fc16.i686
Apr 22 12:46:59 juran kernel: [227044.101024] BUG: soft lockup - CPU#0 stuck for 23s! [load_policy:15641]
Apr 22 12:46:59 juran kernel: [227044.101024] Modules linked in: ppp_deflate zlib_deflate ppp_async crc_ccitt ppp_generic slhc lockd be2iscsi iscsi_boot_sysfs bnx2i cnic uio cxgb4i cxgb4 cxgb3i libcxgbi cxgb3 mdio ib_iser rdma_cm ib_cm iw_cm ib_sa ib_mad ib_core ib_addr iscsi_tcp libiscsi_tcp libiscsi scsi_transport_iscsi ipt_LOG ipt_MASQUERADE iptable_nat nf_nat nf_conntrack_ipv4 nf_conntrack nf_defrag_ipv4 option usb_wwan ppdev dcdbas microcode serio_raw parport_pc i2c_piix4 i2c_core parport 3c59x mii sunrpc usb_storage [last unloaded: scsi_wait_scan]
Apr 22 12:46:59 juran kernel: [227044.101024] Modules linked in: ppp_deflate zlib_deflate ppp_async crc_ccitt ppp_generic slhc lockd be2iscsi iscsi_boot_sysfs bnx2i cnic uio cxgb4i cxgb4 cxgb3i libcxgbi cxgb3 mdio ib_iser rdma_cm ib_cm iw_cm ib_sa ib_mad ib_core ib_addr iscsi_tcp libiscsi_tcp libiscsi scsi_transport_iscsi ipt_LOG ipt_MASQUERADE iptable_nat nf_nat nf_conntrack_ipv4 nf_conntrack nf_defrag_ipv4 option usb_wwan ppdev dcdbas microcode serio_raw parport_pc i2c_piix4 i2c_core parport 3c59x mii sunrpc usb_storage [last unloaded: scsi_wait_scan]
Apr 22 12:46:59 juran kernel: [227044.101024] 
Apr 22 12:46:59 juran kernel: [227044.101024] Pid: 15641, comm: load_policy Not tainted 3.3.2-1.fc16.i686 #1 Dell Computer Corporation OptiPlex GX1 400L+          /OptiPlex GX1 400L+           
Apr 22 12:46:59 juran kernel: [227044.101024] EIP: 0060:[<c065adc2>] EFLAGS: 00210246 CPU: 0
Apr 22 12:46:59 juran kernel: [227044.101024] EIP is at strlen+0x12/0x20
Apr 22 12:46:59 juran kernel: [227044.101024] EAX: 00000000 EBX: dc0d2160 ECX: fffffffe EDX: dcc87a78
Apr 22 12:46:59 juran kernel: [227044.101024] ESI: dcc87a78 EDI: dcc87a79 EBP: db959b98 ESP: db959b94
Apr 22 12:46:59 juran kernel: [227044.101024]  DS: 007b ES: 007b FS: 00d8 GS: 00e0 SS: 0068
Apr 22 12:46:59 juran kernel: [227044.101024] Process load_policy (pid: 15641, ti=ddc08000 task=c0bcbed0 task.ti=db958000)
Apr 22 12:46:59 juran kernel: [227044.101024] Stack:
Apr 22 12:46:59 juran kernel: [227044.101024]  dcc87a78 db959bac c060ec06 dfc4d360 dc0d2160 dcc87a78 db959bc4 c060ea0e
Apr 22 12:46:59 juran kernel: [227044.101024]  00000000 dfc4d360 0000018f db959da8 db959bf4 c061a9f4 00000001 df1e0904
Apr 22 12:46:59 juran kernel: [227044.101024]  df1e0924 c0d41a20 df1e0910 dfc4d300 00000240 df1e0904 db959ee0 df1e0918
Apr 22 12:46:59 juran kernel: [227044.101024] Call Trace:
Apr 22 12:46:59 juran kernel: [227044.101024]  [<c060ec06>] symhash+0x16/0x50
Apr 22 12:46:59 juran kernel: [227044.101024]  [<c060ea0e>] hashtab_search+0x1e/0x80
Apr 22 12:46:59 juran kernel: [227044.101024]  [<c061a9f4>] mls_convert_context+0x114/0x190
Apr 22 12:46:59 juran kernel: [227044.101024]  [<c06166bc>] convert_context+0x33c/0x420
Apr 22 12:46:59 juran kernel: [227044.101024]  [<c0616380>] ? type_attribute_bounds_av+0x240/0x240
Apr 22 12:46:59 juran kernel: [227044.101024]  [<c0936430>] ? common_interrupt+0x30/0x38
Apr 22 12:46:59 juran kernel: [227044.101024]  [<c0616380>] ? type_attribute_bounds_av+0x240/0x240
Apr 22 12:46:59 juran kernel: [227044.101024]  [<c061007b>] ? avtab_read+0xbb/0x100
Apr 22 12:46:59 juran kernel: [227044.101024]  [<c0616380>] ? type_attribute_bounds_av+0x240/0x240
Apr 22 12:46:59 juran kernel: [227044.101024]  [<c060efe8>] sidtab_map+0x48/0x70
Apr 22 12:46:59 juran kernel: [227044.101024]  [<c0617df8>] security_load_policy+0x2d8/0x3e0
Apr 22 12:46:59 juran kernel: [227044.101024]  [<c0bcbed0>] ? efi_enter_virtual_mode+0x2ce/0x380
Apr 22 12:46:59 juran kernel: [227044.101024]  [<c0653a9d>] ? radix_tree_lookup_slot+0xd/0x10
Apr 22 12:46:59 juran kernel: [227044.101024]  [<c04e8b60>] ? find_get_page+0x20/0xd0
Apr 22 12:46:59 juran kernel: [227044.101024]  [<c04eae2b>] ? filemap_fault+0xdb/0x3d0
Apr 22 12:46:59 juran kernel: [227044.101024]  [<c052c710>] ? mem_cgroup_update_page_stat+0x20/0x110
Apr 22 12:46:59 juran kernel: [227044.101024]  [<c04e8f86>] ? unlock_page+0x46/0x50
Apr 22 12:46:59 juran kernel: [227044.101024]  [<c0506f28>] ? __do_fault+0x398/0x4d0
Apr 22 12:46:59 juran kernel: [227044.101024]  [<c0932420>] ? vmalloc_fault+0xee/0xee
Apr 22 12:46:59 juran kernel: [227044.101024]  [<c092fb63>] ? error_code+0x67/0x6c
Apr 22 12:46:59 juran kernel: [227044.101024]  [<c060bef6>] sel_write_load+0x86/0x640
Apr 22 12:46:59 juran kernel: [227044.101024]  [<c06005b4>] ? security_file_permission+0x24/0xb0
Apr 22 12:46:59 juran kernel: [227044.101024]  [<c065b288>] ? strncpy_from_user+0x38/0x70
Apr 22 12:46:59 juran kernel: [227044.101024]  [<c0534d8c>] ? rw_verify_area+0x6c/0x120
Apr 22 12:46:59 juran kernel: [227044.101024]  [<c05350ef>] vfs_write+0x8f/0x160
Apr 22 12:46:59 juran kernel: [227044.101024]  [<c04a732e>] ? __audit_syscall_exit+0x36e/0x3a0
Apr 22 12:46:59 juran kernel: [227044.101024]  [<c060be70>] ? sel_commit_bools_write+0x100/0x100
Apr 22 12:46:59 juran kernel: [227044.101024]  [<c0bcbed0>] ? efi_enter_virtual_mode+0x2ce/0x380
Apr 22 12:46:59 juran kernel: [227044.101024]  [<c05353cd>] sys_write+0x3d/0x70
Apr 22 12:46:59 juran kernel: [227044.101024]  [<c092ef54>] syscall_call+0x7/0xb
Apr 22 12:46:59 juran kernel: [227044.101024] Code: f7 be 01 00 00 00 89 f0 48 5e 5d c3 8d b6 00 00 00 00 8d bc 27 00 00 00 00 55 89 e5 57 3e 8d 74 26 00 b9 ff ff ff ff 89 c7 31 c0 <f2> ae f7 d1 8d 41 ff 5f 5d c3 8d 74 26 00 55 89 e5 57 3e 8d 74 
Apr 22 12:46:59 juran kernel: [227044.101024] Call Trace:
Apr 22 12:46:59 juran kernel: [227044.101024]  [<c060ec06>] symhash+0x16/0x50
Apr 22 12:46:59 juran kernel: [227044.101024]  [<c060ea0e>] hashtab_search+0x1e/0x80
Apr 22 12:46:59 juran kernel: [227044.101024]  [<c061a9f4>] mls_convert_context+0x114/0x190
Apr 22 12:46:59 juran kernel: [227044.101024]  [<c06166bc>] convert_context+0x33c/0x420
Apr 22 12:46:59 juran kernel: [227044.101024]  [<c0616380>] ? type_attribute_bounds_av+0x240/0x240
Apr 22 12:46:59 juran kernel: [227044.101024]  [<c0936430>] ? common_interrupt+0x30/0x38
Apr 22 12:46:59 juran kernel: [227044.101024]  [<c0616380>] ? type_attribute_bounds_av+0x240/0x240
Apr 22 12:46:59 juran kernel: [227044.101024]  [<c061007b>] ? avtab_read+0xbb/0x100
Apr 22 12:46:59 juran kernel: [227044.101024]  [<c0616380>] ? type_attribute_bounds_av+0x240/0x240
Apr 22 12:46:59 juran kernel: [227044.101024]  [<c060efe8>] sidtab_map+0x48/0x70
Apr 22 12:46:59 juran kernel: [227044.101024]  [<c0617df8>] security_load_policy+0x2d8/0x3e0
Apr 22 12:46:59 juran kernel: [227044.101024]  [<c0bcbed0>] ? efi_enter_virtual_mode+0x2ce/0x380
Apr 22 12:46:59 juran kernel: [227044.101024]  [<c0653a9d>] ? radix_tree_lookup_slot+0xd/0x10
Apr 22 12:46:59 juran kernel: [227044.101024]  [<c04e8b60>] ? find_get_page+0x20/0xd0
Apr 22 12:46:59 juran kernel: [227044.101024]  [<c04eae2b>] ? filemap_fault+0xdb/0x3d0
Apr 22 12:46:59 juran kernel: [227044.101024]  [<c052c710>] ? mem_cgroup_update_page_stat+0x20/0x110
Apr 22 12:46:59 juran kernel: [227044.101024]  [<c04e8f86>] ? unlock_page+0x46/0x50
Apr 22 12:46:59 juran kernel: [227044.101024]  [<c0506f28>] ? __do_fault+0x398/0x4d0
Apr 22 12:46:59 juran kernel: [227044.101024]  [<c0932420>] ? vmalloc_fault+0xee/0xee
Apr 22 12:46:59 juran kernel: [227044.101024]  [<c092fb63>] ? error_code+0x67/0x6c
Apr 22 12:46:59 juran kernel: [227044.101024]  [<c060bef6>] sel_write_load+0x86/0x640
Apr 22 12:46:59 juran kernel: [227044.101024]  [<c06005b4>] ? security_file_permission+0x24/0xb0
Apr 22 12:46:59 juran kernel: [227044.101024]  [<c065b288>] ? strncpy_from_user+0x38/0x70
Apr 22 12:46:59 juran kernel: [227044.101024]  [<c0534d8c>] ? rw_verify_area+0x6c/0x120
Apr 22 12:46:59 juran kernel: [227044.101024]  [<c05350ef>] vfs_write+0x8f/0x160
Apr 22 12:46:59 juran kernel: [227044.101024]  [<c04a732e>] ? __audit_syscall_exit+0x36e/0x3a0
Apr 22 12:46:59 juran kernel: [227044.101024]  [<c060be70>] ? sel_commit_bools_write+0x100/0x100
Apr 22 12:46:59 juran kernel: [227044.101024]  [<c0bcbed0>] ? efi_enter_virtual_mode+0x2ce/0x380
Apr 22 12:46:59 juran kernel: [227044.101024]  [<c05353cd>] sys_write+0x3d/0x70
Apr 22 12:46:59 juran kernel: [227044.101024]  [<c092ef54>] syscall_call+0x7/0xb
Apr 22 12:46:59 juran kernel: [227045.725296] sched: RT throttling activated
Apr 22 12:47:00 juran dbus-daemon[789]: dbus[789]: avc:  received policyload notice (seqno=2)
Apr 22 12:47:00 juran dbus[789]: avc:  received policyload notice (seqno=2)
Apr 22 12:47:01 juran dbus-daemon[789]: dbus[789]: [system] Reloaded configuration
Apr 22 12:47:01 juran dbus[789]: [system] Reloaded configuration
Apr 22 12:47:20 juran yum[15086]: Updated: selinux-policy-targeted-3.10.0-84.fc16.noarch
Comment 14 Dave Jones 2012-07-12 11:59:39 EDT
Moving this to a rawhide bug, as it's still a problem in 3.5
I just hit this exact same trace myself on a self-built kernel last night.

Eric, Stephen. Is there somewhere we can add some cond_resched or similar in the above path ? The loop in avtab_read maybe ?
Comment 15 Stephen Smalley 2012-07-12 12:45:08 EDT
Eric is gone for a month.  cond_resched() in avtab_read() loop should be fine from a safety point of view.  Might want one inside cond_read_list() too.
I think Fedora policy likely needs to be rethought though; with the rpm selinux support, can't we get migrate some of the base policy out to individual packages now?  Or give serious thought to collapsing some domains and types together.
Comment 16 Fedora End Of Life 2013-04-03 16:02:55 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 17 Justin M. Forbes 2013-04-05 11:50:26 EDT
Is this still a problem with 3.9 based F19 kernels?
Comment 18 Justin M. Forbes 2013-04-23 13:25:46 EDT
This bug is being closed with INSUFFICIENT_DATA as there has not been a
response in 2 weeks.  If you are still experiencing this issue,
please reopen and attach the relevant data from the latest kernel you are
running and any data that might have been requested previously.

Note You need to log in before you can comment on or make changes to this bug.